--PJ017930 - Change 02 - 07102015

USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

--1) [dbo].[LK_REDSGN_TYPE]
CREATE TABLE [dbo].[LK_REDSGN_TYPE]
(	
	[REDSGN_TYPE_ID]	tinyint NOT NULL ,
	[REDSGN_TYPE_NME]	varchar(50) NOT NULL ,
	[REDSGN_TYPE_DES]	varchar(100) NOT NULL ,
	[RECSTUS_ID]		bit NOT NULL ,
	[CRETD_DT]			smalldatetime NOT NULL ,
	CONSTRAINT [PK_LK_REDSGN_TYPE] PRIMARY KEY  CLUSTERED ([REDSGN_TYPE_ID] ASC)
)	
go


--2) [dbo].[REDSGN]		
CREATE TABLE [dbo].[REDSGN]
(
	[REDSGN_ID]				Int	IDENTITY(1,1) NOT NULL,
	[REDSGN_NBR]			varchar(20)	NOT NULL ,
	[H1_CD]					varchar(9) NOT NULL ,
	[CUST_NME]				varbinary(max) NOT NULL ,
	[NTE_ASSIGNED]			varchar(100) NULL ,
	[PM_ASSIGNED]			varchar(100) NULL ,
	[REDSGN_TYPE_ID]		tinyint	NOT NULL ,
	[STUS_ID]				smallint NOT NULL ,
	[ENTIRE_NW_CKD_ID]		bit	DEFAULT 0 NOT NULL ,
	[REDSGN_DEV_STUS_ID]	tinyint NULL,
	[CRETD_BY_CD]			int	NOT NULL ,
	[CRETD_DT]				smalldatetime NOT NULL ,
	[MODFD_BY_CD] 			int NULL,
	[MODFD_DT]				smalldatetime NULL
	
)
GO

ALTER TABLE [dbo].[REDSGN]
	ADD CONSTRAINT [PK_REDSGN] PRIMARY KEY  CLUSTERED ([REDSGN_ID] ASC)
GO

--ALTER TABLE [dbo].[REDSGN]
--	ADD CONSTRAINT [FK01_REDSGN] FOREIGN KEY ([NTE_ASSIGNED]) REFERENCES [LK_USER]([USER_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--GO

--ALTER TABLE [dbo].[REDSGN]
--	ADD CONSTRAINT [FK02_REDSGN] FOREIGN KEY ([PM_ASSIGNED]) REFERENCES [LK_USER]([USER_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--GO
ALTER TABLE [dbo].[REDSGN]
		
	ADD CONSTRAINT [FK03_REDSGN] FOREIGN KEY ([REDSGN_TYPE_ID]) REFERENCES [LK_REDSGN_TYPE]([REDSGN_TYPE_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION	
GO
ALTER TABLE [dbo].[REDSGN]

	ADD CONSTRAINT [FK04_REDSGN] FOREIGN KEY ([STUS_ID]) REFERENCES [LK_STUS]([STUS_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
GO
ALTER TABLE [dbo].[REDSGN]

	ADD CONSTRAINT [FK05_REDSGN] FOREIGN KEY ([REDSGN_DEV_STUS_ID]) REFERENCES [LK_STUS]([STUS_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION

GO
ALTER TABLE [dbo].[REDSGN]
	ADD CONSTRAINT [FK06_REDSGN] FOREIGN KEY ([CRETD_BY_CD]) REFERENCES [LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
GO
ALTER TABLE [dbo].[REDSGN]
	ADD CONSTRAINT [FK07_REDSGN] FOREIGN KEY ([MODFD_BY_CD]) REFERENCES [LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION	

go	

--3)[dbo].[LK_REDSGN_NOTES_TYPE]
CREATE TABLE [dbo].[LK_REDSGN_NOTES_TYPE]
(
	[REDSGN_NTE_TYPE_ID]	tinyint NOT NULL ,
	[REDSGN_NTE_TYPE_CD]	varchar(50) NOT NULL ,
	[REDSGN_NTE_TYPE_DES]	varchar(100) NOT NULL ,
	[REC_STUS_ID]			bit NOT NULL ,
	[CRETD_DT]				smalldatetime NOT NULL ,
	CONSTRAINT [PK_LK_REDSGN_NOTES_TYPE] PRIMARY KEY  CLUSTERED ([REDSGN_NTE_TYPE_ID] ASC)
)
go

--3) [dbo].[REDSGN_NOTES]
CREATE TABLE [dbo].[REDSGN_NOTES]
(	[REDSGN_NOTES_ID]		Int  IDENTITY(1,1) NOT NULL ,
	[REDSGN_ID]				Int NOT NULL ,
	[REDSGN_NTE_TYPE_ID]	tinyint NOT NULL ,
	[NOTES]					varchar(1000) NULL ,
	[CRETD_BY_CD]			int NOT NULL ,
	[CRETD_DT]				smalldatetime NOT NULL ,
	CONSTRAINT [PK_REDSGN_NOTES] PRIMARY KEY  CLUSTERED ([REDSGN_NOTES_ID] ASC)
)
go
		
ALTER TABLE [dbo].[REDSGN_NOTES]
	ADD	CONSTRAINT [FK01_REDSGN_NOTES] FOREIGN KEY ([REDSGN_ID]) REFERENCES [REDSGN]([REDSGN_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
GO

ALTER TABLE [dbo].[REDSGN_NOTES]
ADD	CONSTRAINT [FK02_REDSGN_NOTES] FOREIGN KEY ([REDSGN_NTE_TYPE_ID]) REFERENCES [LK_REDSGN_NOTES_TYPE]([REDSGN_NTE_TYPE_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
GO

ALTER TABLE [dbo].[REDSGN_NOTES]
ADD	CONSTRAINT [FK03_REDSGN_NOTES] FOREIGN KEY ([CRETD_BY_CD]) REFERENCES [LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION


--4) [dbo].[REDSGN_WRKFLW]
GO

CREATE TABLE [dbo].[REDSGN_WRKFLW]
(
	[REDSGN_WRKFLW_ID]		Int IDENTITY(1,1) NOT NULL ,
	[PRE_WRKFLW_STUS_ID]	tinyint NULL ,
	[DESRD_WRKFLW_STUS_ID]	tinyint NULL ,
	[REC_STUS_ID]			tinyint DEFAULT 1 NOT NULL ,
	[CRETD_DT]				smalldatetime NOT NULL ,
	CONSTRAINT [PK_REDSGN_WRKFLW] PRIMARY KEY  CLUSTERED ([REDSGN_WRKFLW_ID] ASC)
)
go
ALTER TABLE [dbo].[REDSGN_WRKFLW]
ADD CONSTRAINT [FK01_REDSGN_WRKFLW] FOREIGN KEY ([PRE_WRKFLW_STUS_ID]) REFERENCES [LK_STUS]([STUS_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go
ALTER TABLE [dbo].[REDSGN_WRKFLW]
ADD CONSTRAINT [FK02_REDSGN_WRKFLW] FOREIGN KEY ([DESRD_WRKFLW_STUS_ID]) REFERENCES [LK_STUS]([STUS_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION	
	
ALTER TABLE [dbo].[REDSGN_WRKFLW]
	ADD CONSTRAINT [UX01_REDSGN_WRKFLW] UNIQUE ([PRE_WRKFLW_STUS_ID]  ASC,[DESRD_WRKFLW_STUS_ID]  ASC)
go


USE COWS
GO
--5) 	[dbo].[REDSGN_EMAIL_NTFCTN]	
CREATE TABLE [dbo].[REDSGN_EMAIL_NTFCTN]
(	
	[REDSGN_EMAIL_NTFCTN_ID]	Int IDENTITY(1,1) NOT NULL ,
	[REDSGN_ID]					Int NULL ,
	[USER_IDNTFCTN_EMAIL]		Varchar(100) NULL ,
	[REC_STUS_ID]				bit NOT NULL ,
	[CRETD_USER_ID]				Int NOT NULL ,
	[CRETD_DT]					smalldatetime NOT NULL ,
	CONSTRAINT [PK_REDSGN_EMAIL_NTFCTN] PRIMARY KEY  CLUSTERED ([REDSGN_EMAIL_NTFCTN_ID] ASC)
)
go

ALTER 	TABLE [dbo].[REDSGN_EMAIL_NTFCTN]
ADD CONSTRAINT [FK01_REDSGN_EMAIL_NTFCTN] FOREIGN KEY ([REDSGN_ID]) REFERENCES [REDSGN]([REDSGN_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

--ALTER 	TABLE [dbo].[REDSGN_EMAIL_NTFCTN]
--ADD CONSTRAINT [FK02_REDSGN_EMAIL_NTFCTN] FOREIGN KEY ([USER_IDNTFCTN_CD]) REFERENCES [LK_USER]([USER_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--go

ALTER 	TABLE [dbo].[REDSGN_EMAIL_NTFCTN]
ADD CONSTRAINT [FK03_REDSGN_EMAIL_NTFCTN] FOREIGN KEY ([CRETD_USER_ID]) REFERENCES [LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
GO
	
ALTER TABLE [dbo].[REDSGN_EMAIL_NTFCTN]
	ADD CONSTRAINT [UX01_REDSGN_EMAIL_NTFCTN] UNIQUE ([REDSGN_ID]  ASC,[USER_IDNTFCTN_EMAIL]  ASC)
go


--6) [dbo].[REDSGN_DEVICES_INFO]		
CREATE TABLE [dbo].[REDSGN_DEVICES_INFO]
(
	[REDSGN_DEV_ID]	Int IDENTITY(1,1) NOT NULL ,
	[REDSGN_ID]		Int NOT NULL ,
	[SEQ_NBR]		smallint NOT NULL ,
	[DEV_NME]		varchar(50) NULL,
	[FAST_TRK_CD]	bit NOT NULL ,
	[DSPCH_RDY_CD]	bit NOT NULL ,
	[REC_STUS_ID]	bit NOT NULL,
	[STUS_ID]		tinyint NOT NULL,
	[CRETD_BY_CD]	int NOT NULL,
	[CRETD_DT]		smalldatetime NOT NULL,
	[MODFD_BY_CD]	int NULL,
	[MODFD_DT]		smalldatetime NULL,
	CONSTRAINT [PK_REDSGN_DEVICES_INFO] PRIMARY KEY  CLUSTERED ([REDSGN_DEV_ID] ASC)
)
GO
		
ALTER TABLE	[dbo].[REDSGN_DEVICES_INFO] 
	ADD CONSTRAINT [FK01_REDSGN_DEVICES_INFO] FOREIGN KEY ([REDSGN_ID]) REFERENCES [REDSGN]([REDSGN_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
GO	

ALTER TABLE	[dbo].[REDSGN_DEVICES_INFO] 
ADD	CONSTRAINT [FK02_REDSGN_DEVICES_INFO] FOREIGN KEY ([STUS_ID]) REFERENCES [LK_STUS]([STUS_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
GO

ALTER TABLE	[dbo].[REDSGN_DEVICES_INFO] 
ADD CONSTRAINT [FK03_REDSGN_DEVICES_INFO] FOREIGN KEY ([CRETD_BY_CD]) REFERENCES [LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION

ALTER TABLE	[dbo].[REDSGN_DEVICES_INFO] 
ADD CONSTRAINT [FK04_REDSGN_DEVICES_INFO] FOREIGN KEY ([MODFD_BY_CD]) REFERENCES [LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION

ALTER TABLE [dbo].[REDSGN_DEVICES_INFO]
	ADD CONSTRAINT [UX01_REDSGN_DEVICES_INFO] UNIQUE ([REDSGN_ID]  ASC,[DEV_NME]  ASC)
go



ALTER TABLE [dbo].[LK_STUS] DROP CONSTRAINT [UX01_LK_STUS]
go

ALTER TABLE [dbo].[LK_STUS]
	ADD CONSTRAINT [UX01_LK_STUS] UNIQUE ([STUS_DES]  ASC,[STUS_TYPE_ID]  ASC)
go


--
SET ANSI_NULLS OFF
GO
SET QUOTED_IDENTIFIER OFF
GO